| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Image
Image.PNG

# Method Image.PNG.__decode()

Method __decode

  `array __decode(string data)`
  `array __decode(string data, int dontcheckcrc)`

Description

  Splits a PNG file into chunks.

Returns

  Result is an array of arrays, or 0 if data isn't a PNG file. Each element in the array is constructed as follows.

  Array
  `string 0` | The type of the chunk, e.g. "IHDR" or "IDAT".
  `string 1` | The actual chunk data.
  `int(0..1) 2` | Set to 1 if the checksum is ok and dontcheckcrc isn't set.

Note

  Please read about the PNG file format. Support for decoding cHRM, gAMA, sBIT, hIST, pHYs, tIME, tEXt and zTXt chunks are missing.